curl --request POST \
--url https://api.hubapi.com/communication-preferences/2026-03/statuses/batch/unsubscribe-all \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
"<string>"
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"subscriberIdString": "<string>",
"statuses": [
{
"source": "<string>",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasisExplanation": "<string>",
"subscriptionName": "<string>"
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Unsubscribe a set of contacts from all email subscriptions.
curl --request POST \
--url https://api.hubapi.com/communication-preferences/2026-03/statuses/batch/unsubscribe-all \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
"<string>"
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"subscriberIdString": "<string>",
"statuses": [
{
"source": "<string>",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasisExplanation": "<string>",
"subscriptionName": "<string>"
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The communication channel from which subscribers will be unsubscribed. This parameter is required and currently supports only 'EMAIL'.
EMAIL An optional integer representing the business unit ID for which the operation is being performed.
A boolean indicating whether to include detailed information in the response. Defaults to false.
A list of strings representing the inputs for batch operations.
successful operation
The date and time when the bulk opt-out operation was completed.
An array containing the results of the bulk opt-out from all communications operation.
Show child attributes
The date and time when the bulk opt-out operation began.
The current status of the bulk opt-out operation, which can be PENDING, PROCESSING, CANCELED, or COMPLETE.
CANCELED, COMPLETE, PENDING, PROCESSING An array of error objects detailing any issues encountered during the bulk opt-out operation.
Show child attributes
A collection of URLs linking to related resources or documentation.
Show child attributes
The total number of errors encountered during the bulk opt-out operation.
The date and time when the bulk opt-out request was made.
Was this page helpful?